/// <reference types="react" />
import { ParentService } from './src/itemProps/ParentService';
import { BroadcastDisplayName } from './src/itemProps/BroadcastDisplayName';
import { VideoFormat } from './src/itemProps/VideoFormat';
import { BroadcastTimezone } from './src/itemProps/BroadcastTimezone';
import { BroadcastFrequency } from './src/itemProps/BroadcastFrequency';
import { CallSign } from './src/itemProps/CallSign';
import { InLanguage } from './src/itemProps/InLanguage';
import { HasBroadcastChannel } from './src/itemProps/HasBroadcastChannel';
import { Broadcaster } from './src/itemProps/Broadcaster';
import { BroadcastAffiliateOf } from './src/itemProps/BroadcastAffiliateOf';
import { Area } from './src/itemProps/Area';
import { Review } from './src/itemProps/Review';
import { Award } from './src/itemProps/Award';
import { ServiceAudience } from './src/itemProps/ServiceAudience';
import { Category } from './src/itemProps/Category';
import { HoursAvailable } from './src/itemProps/HoursAvailable';
import { Audience } from './src/itemProps/Audience';
import { Offers } from './src/itemProps/Offers';
import { ServiceOutput } from './src/itemProps/ServiceOutput';
import { Provider } from './src/itemProps/Provider';
import { TermsOfService } from './src/itemProps/TermsOfService';
import { ProviderMobility } from './src/itemProps/ProviderMobility';
import { Broker } from './src/itemProps/Broker';
import { AggregateRating } from './src/itemProps/AggregateRating';
import { IsSimilarTo } from './src/itemProps/IsSimilarTo';
import { AvailableChannel } from './src/itemProps/AvailableChannel';
import { Slogan } from './src/itemProps/Slogan';
import { Brand } from './src/itemProps/Brand';
import { Logo } from './src/itemProps/Logo';
import { Produces } from './src/itemProps/Produces';
import { ServiceArea } from './src/itemProps/ServiceArea';
import { ServiceType } from './src/itemProps/ServiceType';
import { AreaServed } from './src/itemProps/AreaServed';
import { IsRelatedTo } from './src/itemProps/IsRelatedTo';
import { HasOfferCatalog } from './src/itemProps/HasOfferCatalog';
import { MainEntityOfPage } from './src/itemProps/MainEntityOfPage';
import { AlternateName } from './src/itemProps/AlternateName';
import { Name } from './src/itemProps/Name';
import { PotentialAction } from './src/itemProps/PotentialAction';
import { Image } from './src/itemProps/Image';
import { Url } from './src/itemProps/Url';
import { Description } from './src/itemProps/Description';
import { SubjectOf } from './src/itemProps/SubjectOf';
import { AdditionalType } from './src/itemProps/AdditionalType';
import { DisambiguatingDescription } from './src/itemProps/DisambiguatingDescription';
import { SameAs } from './src/itemProps/SameAs';
import { Identifier } from './src/itemProps/Identifier';
import { RadioBroadcastService } from './src/RadioBroadcastService';
export { RadioBroadcastService, ParentService, BroadcastDisplayName, VideoFormat, BroadcastTimezone, BroadcastFrequency, CallSign, InLanguage, HasBroadcastChannel, Broadcaster, BroadcastAffiliateOf, Area, Review, Award, ServiceAudience, Category, HoursAvailable, Audience, Offers, ServiceOutput, Provider, TermsOfService, ProviderMobility, Broker, AggregateRating, IsSimilarTo, AvailableChannel, Slogan, Brand, Logo, Produces, ServiceArea, ServiceType, AreaServed, IsRelatedTo, HasOfferCatalog, MainEntityOfPage, AlternateName, Name, PotentialAction, Image, Url, Description, SubjectOf, AdditionalType, DisambiguatingDescription, SameAs, Identifier };
declare const _default: {
    RadioBroadcastService: ({ as, children, ...props }: {
        [x: string]: any;
        as?: string | undefined;
        children: any;
    }) => import("react").ReactElement<{
        itemScope: boolean;
        itemType: string;
    }, string | import("react").JSXElementConstructor<any>>;
    ParentService: {
        BroadcastService: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    BroadcastDisplayName: ({ as, children, ...props }: {
        [x: string]: any;
        as?: string | undefined;
        children: any;
    }) => import("react").ReactElement<{
        itemProp: string;
    }, string | import("react").JSXElementConstructor<any>>;
    VideoFormat: ({ as, children, ...props }: {
        [x: string]: any;
        as?: string | undefined;
        children: any;
    }) => import("react").ReactElement<{
        itemProp: string;
    }, string | import("react").JSXElementConstructor<any>>;
    BroadcastTimezone: ({ as, children, ...props }: {
        [x: string]: any;
        as?: string | undefined;
        children: any;
    }) => import("react").ReactElement<{
        itemProp: string;
    }, string | import("react").JSXElementConstructor<any>>;
    BroadcastFrequency: {
        ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }): import("react").ReactElement<{
            itemProp: string;
        }, string | import("react").JSXElementConstructor<any>>;
        BroadcastFrequencySpecification({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }): import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    CallSign: ({ as, children, ...props }: {
        [x: string]: any;
        as?: string | undefined;
        children: any;
    }) => import("react").ReactElement<{
        itemProp: string;
    }, string | import("react").JSXElementConstructor<any>>;
    InLanguage: {
        ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }): import("react").ReactElement<{
            itemProp: string;
        }, string | import("react").JSXElementConstructor<any>>;
        Language({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }): import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    HasBroadcastChannel: {
        BroadcastChannel: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    Broadcaster: {
        Organization: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    BroadcastAffiliateOf: {
        Organization: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    Area: {
        Place: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    Review: {
        Review: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    Award: ({ as, children, ...props }: {
        [x: string]: any;
        as?: string | undefined;
        children: any;
    }) => import("react").ReactElement<{
        itemProp: string;
    }, string | import("react").JSXElementConstructor<any>>;
    ServiceAudience: {
        Audience: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    Category: {
        ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }): import("react").ReactElement<{
            itemProp: string;
        }, string | import("react").JSXElementConstructor<any>>;
        URL({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }): import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
        PhysicalActivityCategory({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }): import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
        Thing({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }): import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
        CategoryCode({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }): import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    HoursAvailable: {
        OpeningHoursSpecification: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    Audience: {
        Audience: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    Offers: {
        Offer: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
        Demand: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    ServiceOutput: {
        Thing: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    Provider: {
        Organization: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
        Person: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    TermsOfService: {
        ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }): import("react").ReactElement<{
            itemProp: string;
        }, string | import("react").JSXElementConstructor<any>>;
        URL({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }): import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    ProviderMobility: ({ as, children, ...props }: {
        [x: string]: any;
        as?: string | undefined;
        children: any;
    }) => import("react").ReactElement<{
        itemProp: string;
    }, string | import("react").JSXElementConstructor<any>>;
    Broker: {
        Person: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
        Organization: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    AggregateRating: {
        AggregateRating: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    IsSimilarTo: {
        Service: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
        Product: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    AvailableChannel: {
        ServiceChannel: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    Slogan: ({ as, children, ...props }: {
        [x: string]: any;
        as?: string | undefined;
        children: any;
    }) => import("react").ReactElement<{
        itemProp: string;
    }, string | import("react").JSXElementConstructor<any>>;
    Brand: {
        Organization: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
        Brand: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    Logo: {
        URL: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
        ImageObject: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    Produces: {
        Thing: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    ServiceArea: {
        GeoShape: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
        AdministrativeArea: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
        Place: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    ServiceType: {
        ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }): import("react").ReactElement<{
            itemProp: string;
        }, string | import("react").JSXElementConstructor<any>>;
        GovernmentBenefitsType({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }): import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    AreaServed: {
        ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }): import("react").ReactElement<{
            itemProp: string;
        }, string | import("react").JSXElementConstructor<any>>;
        AdministrativeArea({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }): import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
        GeoShape({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }): import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
        Place({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }): import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    IsRelatedTo: {
        Service: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
        Product: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    HasOfferCatalog: {
        OfferCatalog: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    MainEntityOfPage: {
        CreativeWork: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
        URL: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    AlternateName: ({ as, children, ...props }: {
        [x: string]: any;
        as?: string | undefined;
        children: any;
    }) => import("react").ReactElement<{
        itemProp: string;
    }, string | import("react").JSXElementConstructor<any>>;
    Name: ({ as, children, ...props }: {
        [x: string]: any;
        as?: string | undefined;
        children: any;
    }) => import("react").ReactElement<{
        itemProp: string;
    }, string | import("react").JSXElementConstructor<any>>;
    PotentialAction: {
        Action: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    Image: {
        URL: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
        ImageObject: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    Url: {
        URL: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    Description: ({ as, children, ...props }: {
        [x: string]: any;
        as?: string | undefined;
        children: any;
    }) => import("react").ReactElement<{
        itemProp: string;
    }, string | import("react").JSXElementConstructor<any>>;
    SubjectOf: {
        Event: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
        CreativeWork: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    AdditionalType: {
        URL: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    DisambiguatingDescription: ({ as, children, ...props }: {
        [x: string]: any;
        as?: string | undefined;
        children: any;
    }) => import("react").ReactElement<{
        itemProp: string;
    }, string | import("react").JSXElementConstructor<any>>;
    SameAs: {
        URL: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    Identifier: {
        ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }): import("react").ReactElement<{
            itemProp: string;
        }, string | import("react").JSXElementConstructor<any>>;
        URL({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }): import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
        PropertyValue({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }): import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
};
export default _default;
